You are not logged in.

#1 2017-08-12 07:52:25

florianbauer
Member
Registered: 2017-08-12
Posts: 4

Kann nicht auf den Kernel Linux4.12.4-1 upgraden

Hallo ihr da,

Ich habe ein Problem, mein archlinux von 4.12.3-1 auf 4.12.4-1 upzugraden.
Immer, wenn ich es mit pacman -Syu versuche, bekomme ich folgende Meldung:

core ist aktuell
extra ist aktuell
community ist aktuell
multilib ist aktuell
catalyst ist aktuell
archzfs ist aktuell
:: Starte vollständige Systemaktualisierung...
Löse Abhängigkeiten auf...
:: Die folgenden Pakete können aufgrund nicht auflösbarer Abhängigkeiten nicht aktualisiert werden:
      spl-linux  zfs-linux

:: spl-linux: benötigt linux=4.12.4-1
:: spl-linux: benötigt linux=4.12.4-1
:: zfs-linux: benötigt linux=4.12.4-1

Kann mir da jemand helfen. Liegt es an ZFS?

Offline

#2 2017-08-12 07:54:51

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 22,655
Website

Re: Kann nicht auf den Kernel Linux4.12.4-1 upgraden

Moving to Other Languages...


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#3 2017-08-12 08:02:45

florianbauer
Member
Registered: 2017-08-12
Posts: 4

Re: Kann nicht auf den Kernel Linux4.12.4-1 upgraden

Hi there
I have any problem to upgrade my arch from kernel 4.12.3-1 to 4.12.4-1.
I run pacman -Syu and become the following error:

core is current
extra is current
community is current
multilib is current
catalyst is current
archzfs is current
:: Starte vollständige Systemaktualisierung...
Löse Abhängigkeiten auf...
:: The following packages can not be updated due to non-resolvable dependencies:
      spl-linux  zfs-linux

:: spl-linux: needs linux=4.12.4-1
:: spl-linux: needs linux=4.12.4-1
:: zfs-linux: needs linux=4.12.4-1

Maybe it´s ZFS.

Offline

#4 2017-08-12 08:15:10

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 22,655
Website

Re: Kann nicht auf den Kernel Linux4.12.4-1 upgraden

Yes. The archzfs repo looks like it hasn't been updated.


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#5 2017-08-12 08:42:14

florianbauer
Member
Registered: 2017-08-12
Posts: 4

Re: Kann nicht auf den Kernel Linux4.12.4-1 upgraden

Can I do any upgrade without upgrading archzfs? I need the upgrade, but I need also ZFS. What can I do?

Offline

#6 2017-08-12 09:21:34

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 22,655
Website

Re: Kann nicht auf den Kernel Linux4.12.4-1 upgraden

Wait for the maintaner to update the repo: that's the price of unofficial repositories.


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#7 2017-08-12 09:23:47

florianbauer
Member
Registered: 2017-08-12
Posts: 4

Re: Kann nicht auf den Kernel Linux4.12.4-1 upgraden

Is there anny other way to use ZFS on Arch?

Offline

#8 2017-08-12 19:29:27

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 22,655
Website

Re: Kann nicht auf den Kernel Linux4.12.4-1 upgraden

Well, you could start by reading the wiki. There is a Warning printed at the top of the page that answers this exact question:
https://wiki.archlinux.org/index.php/ZFS#Installation

Please make some effort to help yourself; don't be a help vampire.


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

Board footer

Powered by FluxBB